function q=catdiag(varargin)
% Usage: q=catdiag(r1,r2, ... )
%
% Concatinate a number of square matrices (r1, r2, ... ) in a block diagonal 
% matrix, q.
% 

n=nargin;
q=[];
if n<1, return; end;

q=varargin{1};
for i=2:n,
 r=varargin{i};
 [n1,n2]=size(q);
 [m1,m2]=size(r);
 q=[q zeros(n1,m2); zeros(m1,n2) r];
end
