function prnt(typ,navn)
%Usage: prnt(typ,text/navn)
%
% Printing utility with actions depends on typ (and navn).
%
% if typ=0 then the plot is drawn and the program is proceeding
% if typ=1 then the plot is drawn and there is a very short pause.
% if typ=2 then the plot is drawn and there is waiting for the next
%    carriage return.
%
% if typ=3 then the plot is drawn and it is send to the printer.
% if typ=4 then the plot is drawn and it is send to a file with
%    the spicified name (navn).
if nargin<1, typ=2; end;
% Check om navn er husket
if typ==4,
 if nargin<2,
  typ=0;
 end
end

if typ==0,
 drawnow;
elseif typ==1,
 pause(1)
 %fprintf('            \r');
elseif typ==2,
 if nargin<2, fprintf('Hit any key \r'); else, fprintf([navn ': Hit any key \r']); end;
 pause
elseif typ==3,
 disp('printing mode');
 drawnow;
 print -dpsc mfils.ps
 !lpr -Pcp321013a mfils.ps
 !rm mfils.ps
elseif typ==4,
 print( gcf,'-depsc',navn); 
end
